com.amazonaws.auth

## Class PEMObject

- java.lang.Object
- - com.amazonaws.auth.PEMObject

    @Immutable
    public class PEMObject
    extends Object

A PEM object in a PEM file.

A PEM file can contain one or multiple PEM objects, each with a beginning and ending marker.

### Constructor Summary

Constructors
Constructor and Description
`PEMObject(String beginMarker, byte[] derBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBeginMarker()`
`byte[]` `getDerBytes()`
`PEMObjectType` `getPEMObjectType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PEMObject

    public PEMObject(String beginMarker,
                     byte[] derBytes)

### Method Detail

#### getBeginMarker

    public String getBeginMarker()

#### getDerBytes

    public byte[] getDerBytes()

#### getPEMObjectType

    public PEMObjectType getPEMObjectType()